// frontToolView.h : interface of the CFrontToolView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FRONTTOOLVIEW_H__AE9DD3F8_9ED4_11D2_B7E0_52544C393A8C__INCLUDED_)
#define AFX_FRONTTOOLVIEW_H__AE9DD3F8_9ED4_11D2_B7E0_52544C393A8C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "baseListCtrl.h"
#include "TableComboBox.h"
#include "ftDB.h"
#include "expDlg.h"
#include "impDlg.h"

class CFrontToolView : public CView
{
protected: // create from serialization only
	CFrontToolView();
	DECLARE_DYNCREATE(CFrontToolView)
	
	BOOL CloseCurForm(void);
	BOOL SetCurForm(int iID);
	CWnd* m_pCurShowWnd;
	int m_iCurShowWnd;
	
	CBaseListCtrl m_bl;
	CExpDlg m_ed;
	CImpDlg m_id;
	
	CFTDB m_db;
// Attributes
public:
	CFrontToolDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFrontToolView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFrontToolView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFrontToolView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnFreshTab();
	afx_msg void OnFreshCol();
	afx_msg void OnConnDrv();
	afx_msg void OnExportTab();
	afx_msg void OnImportTab();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in frontToolView.cpp
inline CFrontToolDoc* CFrontToolView::GetDocument()
   { return (CFrontToolDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FRONTTOOLVIEW_H__AE9DD3F8_9ED4_11D2_B7E0_52544C393A8C__INCLUDED_)
