#ifndef __FTDB_H
#define __FTDB_H
#include "sql.h"
#include "sqlext.h"
#pragma comment(lib,"odbc32.lib")

#define SQL_SUCC(rt)	(SQL_SUCCESS==rt || rt== SQL_SUCCESS_WITH_INFO)

class CFTDB 
{
public:
	CFTDB();
	~CFTDB();
	BOOL Open(void);
	BOOL Open(LPSTR pszDSN,LPSTR pszUser,LPSTR pszPwd);
	BOOL ListAllTable(LPSTR pszType=NULL);
	BOOL DescTable(int iSel);
	BOOL DescTable(LPCSTR pszName);
	void DisplayError(HSTMT hstmt);
	static void DisplayError(HENV henv,HDBC hdbc,HSTMT hstmt);
	BOOL GenerateDescString(CStringArray &arrRes);
	void Close(void);
public:
	HENV m_henv;
	HDBC m_hdbc;
	char m_szUser[30];
	CStringArray m_arrTableName;
	CStringArray m_arrColName,m_arrColTypeName;
	CDWordArray m_arrColDataType,m_arrColDataPrecision,m_arrColDataLength,m_arrColDataScale,m_arrColNullable;
};
#endif